最新 centos 7安装python3

python jinwei 1384℃ 0评论

CentOS7系统自带的Python版本是Python2.7,如需使用Python3.6,需要自行安装Python3.6。

CentOS7安装Python3.6有两种方式:

使用Yum源安装Python3.6
使用Python3.6源文件安装
推荐使用CentOS7 Yum源安装Python3.6。

CentOS7使用Yum源安装Python3.6
IUS软件源中包含了Python3.6,可以使用IUS软件源安装Python3.6,查看如何安装使用IUS软件源

1)安装IUS软件源

复制
#安装EPEL依赖
sudo yum install epel-release

#安装IUS软件源
sudo yum install https://centos7.iuscommunity.org/ius-release.rpm
2)安装Python3.6

复制
sudo yum install python36u
安装Python3完成后的shell命令为python3.6,为了使用方便,创建一个到python3的符号链接

复制
sudo ln -s /bin/python3.6 /bin/python3
3)安装pip3

安装完成python36u并没有安装pip,安装pip

sudo yum install python36u-pip
安装pip完成后的shell命令为pip3.6,为了使用方便,创建一个到pip3的符号链接

sudo ln -s /bin/pip3.6 /bin/pip3

CentOS7使用源文件安装Python3.6(第二种方式)
1)在安装Python3.6之前,先安装Python3.6需要的依赖:

sudo yum -y groupinstall development
sudo yum -y install zlib-devel

2)运行如下命令安装Python3.6

wget https://www.python.org/ftp/python/3.6.0/Python-3.6.0.tar.xz
tar xJf Python-3.6.0.tar.xz
cd Python-3.6.0
sudo ./configure
sudo make&&make install

问题及解决

碰到的问题:

Traceback (most recent call last):
File “/root/tools/Python-3.6.1/Lib/runpy.py”, line 193, in _run_module_as_main
main“, mod_spec)
File “/root/tools/Python-3.6.1/Lib/runpy.py”, line 85, in _run_code
exec(code, run_globals)
File “/root/tools/Python-3.6.1/Lib/ensurepip/main.py”, line 4, in
ensurepip._main()
File “/root/tools/Python-3.6.1/Lib/ensurepip/init.py”, line 189, in _main
default_pip=args.default_pip,
File “/root/tools/Python-3.6.1/Lib/ensurepip/init.py”, line 102, in bootstrap
_run_pip(args + [p[0] for p in _PROJECTS], additional_paths)
File “/root/tools/Python-3.6.1/Lib/ensurepip/init.py”, line 27, in _run_pip
import pip
zipimport.ZipImportError: can’t decompress data; zlib not available
make: * [install] Error 1

从错误信息分析,就是缺少了zlib的解压缩类库,安装即可

yum -y install zlib*

错误2:ssl module in Python is not available

sudo ./configure --with-ssl

安装完成之后,重新安装即可,所有的问题都已经正常解决了

转载请注明:沐雨语曦 » 最新 centos 7安装python3

喜欢 (0)
发表我的评论
取消评论

表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址